Package org.flowable.cmmn.api.runtime

# Interface MilestoneInstanceQuery

All Superinterfaces:
  `Query<MilestoneInstanceQuery,MilestoneInstance>`

public interface MilestoneInstanceQuery extends Query<MilestoneInstanceQuery,MilestoneInstance>

Author:
  Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MilestoneInstanceQuery`
  `milestoneInstanceCaseDefinitionId(String caseDefinitionId)`
  `MilestoneInstanceQuery`
  `milestoneInstanceCaseInstanceId(String caseInstanceId)`
  `MilestoneInstanceQuery`
  `milestoneInstanceId(String milestoneInstanceId)`
  `MilestoneInstanceQuery`
  `milestoneInstanceName(String name)`
  `MilestoneInstanceQuery`
  `milestoneInstanceReachedAfter(Date reachedAfter)`
  `MilestoneInstanceQuery`
  `milestoneInstanceReachedBefore(Date reachedBefore)`
  `MilestoneInstanceQuery`
  `milestoneInstanceTenantId(String tenantId)`
  `MilestoneInstanceQuery`
  `milestoneInstanceTenantIdLike(String tenantIdLike)`
  `MilestoneInstanceQuery`
  `milestoneInstanceWithoutTenantId()`
  `MilestoneInstanceQuery`
  `orderByMilestoneName()`
  `MilestoneInstanceQuery`
  `orderByTimeStamp()`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### milestoneInstanceId

    MilestoneInstanceQuery milestoneInstanceId(String milestoneInstanceId)

  - ### milestoneInstanceName

    MilestoneInstanceQuery milestoneInstanceName(String name)

  - ### milestoneInstanceCaseInstanceId

    MilestoneInstanceQuery milestoneInstanceCaseInstanceId(String caseInstanceId)

  - ### milestoneInstanceCaseDefinitionId

    MilestoneInstanceQuery milestoneInstanceCaseDefinitionId(String caseDefinitionId)

  - ### milestoneInstanceReachedBefore

    MilestoneInstanceQuery milestoneInstanceReachedBefore(Date reachedBefore)

  - ### milestoneInstanceReachedAfter

    MilestoneInstanceQuery milestoneInstanceReachedAfter(Date reachedAfter)

  - ### milestoneInstanceTenantId

    MilestoneInstanceQuery milestoneInstanceTenantId(String tenantId)

  - ### milestoneInstanceTenantIdLike

    MilestoneInstanceQuery milestoneInstanceTenantIdLike(String tenantIdLike)

  - ### milestoneInstanceWithoutTenantId

    MilestoneInstanceQuery milestoneInstanceWithoutTenantId()

  - ### orderByMilestoneName

    MilestoneInstanceQuery orderByMilestoneName()

  - ### orderByTimeStamp

    MilestoneInstanceQuery orderByTimeStamp()